## r-cran-hardhat 1.2.0+dfsg

=== DESCRIPTION ===
Package: hardhat
Title: Construct Modeling Packages
Version: 1.2.0
Authors@R: c(
    person("Davis", "Vaughan", , "davis@rstudio.com", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Maintainer: Davis Vaughan <davis@rstudio.com>
Description: Building modeling packages is hard. A large amount of effort
    generally goes into providing an implementation for a new method that
    is efficient, fast, and correct, but often less emphasis is put on the
    user interface. A good interface requires specialized knowledge about
    S3 methods and formulas, which the average package developer might not
    have.  The goal of 'hardhat' is to reduce the burden around building
    new modeling packages by providing functionality for preprocessing,
    predicting, and validating input.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/hardhat,
        https://hardhat.tidymodels.org
BugReports: https://github.com/tidymodels/hardhat/issues
Depends: R (>= 3.4.0)
Imports: glue (>= 1.6.2), rlang (>= 1.0.3), tibble (>= 3.1.7), vctrs
        (>= 0.4.1)
Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
        recipes (>= 0.1.8), rmarkdown (>= 2.3), roxygen2, testthat (>=
        3.0.0), usethis (>= 2.1.5)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.0
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-06-30 12:51:06 UTC; davis
Author: Davis Vaughan [aut, cre],
  Max Kuhn [aut],
  RStudio [cph, fnd]
Repository: CRAN
Date/Publication: 2022-06-30 13:50:11 UTC

=== debian/changelog ===
r-cran-hardhat (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2022 14:00:50 +0200

r-cran-hardhat (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2022 11:55:23 +0200

r-cran-hardhat (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jun 2022 11:47:06 +0200

r-cran-hardhat (0.2.0-2) unstable; urgency=medium

  * Packaging update

 -- Andreas Tille <tille@debian.org>  Thu, 31 Mar 2022 10:50:12 +0200

r-cran-hardhat (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #1007102)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 12:16:12 +0100

=== debian/control ===
Source: r-cran-hardhat
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hardhat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hardhat.git
Homepage: https://cran.r-project.org/package=hardhat
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-glue (>= 1.6.2),
               r-cran-rlang (>= 1.0.3),
               r-cran-tibble (>= 3.1.7),
               r-cran-vctrs (>= 0.4.1)
Testsuite: autopkgtest-pkg-r

Package: r-cran-hardhat
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNUR R construct modeling packages
 Building modeling packages is hard. A large amount
 of effort generally goes into providing an implementation for a new
 method that is efficient, fast, and correct, but often less emphasis
 is put on the user interface. A good interface requires specialized
 knowledge about S3 methods and formulas, which the average package
 developer might not have.  The goal of 'hardhat' is to reduce the
 burden around building new modeling packages by providing
 functionality for preprocessing, predicting, and validating input.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
         r-cran-crayon,
         r-cran-devtools,
         r-cran-knitr,
         r-cran-matrix,
         r-cran-modeldata,
         r-cran-recipes (>= 0.1.8),
         r-cran-rmarkdown (>= 2.3),
         r-cran-roxygen2,
         r-cran-testthat (>= 2.1.0),
         r-cran-usethis
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/hardhat_([-\d.]*)\.tar\.gz

## r-cran-hardhat 1.3.0+dfsg

=== debian/changelog ===
r-cran-hardhat (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 14:01:25 +0200

## r-cran-hardhat 1.3.1+dfsg

=== DESCRIPTION ===
Package: hardhat
Title: Construct Modeling Packages
Version: 1.3.1
Authors@R: c(
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Building modeling packages is hard. A large amount of effort
    generally goes into providing an implementation for a new method that
    is efficient, fast, and correct, but often less emphasis is put on the
    user interface. A good interface requires specialized knowledge about
    S3 methods and formulas, which the average package developer might not
    have. The goal of 'hardhat' is to reduce the burden around building
    new modeling packages by providing functionality for preprocessing,
    predicting, and validating input.
License: MIT + file LICENSE
URL: https://github.com/tidymodels/hardhat,
        https://hardhat.tidymodels.org
BugReports: https://github.com/tidymodels/hardhat/issues
Depends: R (>= 3.5.0)
Imports: cli (>= 3.6.0), glue (>= 1.6.2), rlang (>= 1.1.0), tibble (>=
        3.2.1), vctrs (>= 0.6.0)
Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
        recipes (>= 1.0.5), rmarkdown (>= 2.3), roxygen2, testthat (>=
        3.0.0), usethis (>= 2.1.5)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-02-02 14:40:44 UTC; davis
Author: Davis Vaughan [aut, cre],
  Max Kuhn [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2024-02-02 15:20:02 UTC

=== debian/changelog ===
r-cran-hardhat (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 14:53:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hardhat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hardhat.git
 Homepage: https://cran.r-project.org/package=hardhat
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli (>= 3.6.0),
                r-cran-glue (>= 1.6.2),
-               r-cran-rlang (>= 1.0.3),
-               r-cran-tibble (>= 3.1.7),
-               r-cran-vctrs (>= 0.4.1)
+               r-cran-rlang (>= 1.1.0),
+               r-cran-tibble (>= 3.2.1),
+               r-cran-vctrs (>= 0.6.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-hardhat

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-crayon,
        r-cran-devtools,
        r-cran-knitr,
        r-cran-matrix,
        r-cran-modeldata (>= 0.0.2),
        r-cran-recipes (>= 1.0.5),
        r-cran-rmarkdown (>= 2.3),
        r-cran-roxygen2,
        r-cran-testthat (>= 3.0.0),
        r-cran-usethis (>= 2.1.5)
Restrictions: allow-stderr

## r-cran-hardhat 1.4.0+dfsg

=== debian/changelog ===
r-cran-hardhat (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 05 Jun 2024 08:33:16 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hardhat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hardhat.git
 Homepage: https://cran.r-project.org/package=hardhat
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-hardhat 1.4.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Package: hardhat
 Title: Construct Modeling Packages
-Version: 1.3.1
+Version: 1.4.1
 Authors@R: c(
-    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
+    person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre"),
+           comment = c(ORCID = "0000-0002-6049-5258")),
+    person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
     person("Posit Software, PBC", role = c("cph", "fnd"))
   )
@@ -19,22 +21,23 @@
         https://hardhat.tidymodels.org
 BugReports: https://github.com/tidymodels/hardhat/issues
 Depends: R (>= 3.5.0)
-Imports: cli (>= 3.6.0), glue (>= 1.6.2), rlang (>= 1.1.0), tibble (>=
-        3.2.1), vctrs (>= 0.6.0)
+Imports: cli (>= 3.6.0), glue (>= 1.6.2), rlang (>= 1.1.0), sparsevctrs
+        (>= 0.2.0), tibble (>= 3.2.1), vctrs (>= 0.6.0)
 Suggests: covr, crayon, devtools, knitr, Matrix, modeldata (>= 0.0.2),
         recipes (>= 1.0.5), rmarkdown (>= 2.3), roxygen2, testthat (>=
-        3.0.0), usethis (>= 2.1.5)
+        3.0.0), usethis (>= 2.1.5), withr (>= 3.0.0)
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-02-02 14:40:44 UTC; davis
-Author: Davis Vaughan [aut, cre],
+Packaged: 2025-01-29 15:09:25 UTC; hannah
+Author: Hannah Frick [aut, cre] (<https://orcid.org/0000-0002-6049-5258>),
+  Davis Vaughan [aut],
   Max Kuhn [aut],
   Posit Software, PBC [cph, fnd]
-Maintainer: Davis Vaughan <davis@posit.co>
+Maintainer: Hannah Frick <hannah@posit.co>
 Repository: CRAN
-Date/Publication: 2024-02-02 15:20:02 UTC
+Date/Publication: 2025-01-31 15:20:05 UTC

=== debian/changelog ===
r-cran-hardhat (1.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-depend on r-cran-sparsevctrs (currently in NEW queue).

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Feb 2025 13:38:23 +0900

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                r-cran-cli (>= 3.6.0),
                r-cran-glue (>= 1.6.2),
                r-cran-rlang (>= 1.1.0),
+               r-cran-sparsevctrs,
                r-cran-tibble (>= 3.2.1),
                r-cran-vctrs (>= 0.6.0)
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
--- 
+++ 
@@ -10,5 +10,6 @@
         r-cran-rmarkdown (>= 2.3),
         r-cran-roxygen2,
         r-cran-testthat (>= 3.0.0),
-        r-cran-usethis (>= 2.1.5)
+        r-cran-usethis (>= 2.1.5),
+        r-cran-withr (>= 3.0.0)
 Restrictions: allow-stderr

## r-cran-hardhat 1.4.2%2Bdfsg

=== debian/changelog ===
r-cran-hardhat (1.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 14:12:04 +0900

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: r-cran-hardhat
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-cli,
+               r-cran-glue,
+               r-cran-rlang (>= 1.1.0),
+               r-cran-sparsevctrs,
+               r-cran-tibble (>= 3.2.1),
+               r-cran-vctrs (>= 0.6.0),
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hardhat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hardhat.git
 Homepage: https://cran.r-project.org/package=hardhat
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-cli (>= 3.6.0),
-               r-cran-glue (>= 1.6.2),
-               r-cran-rlang (>= 1.1.0),
-               r-cran-sparsevctrs,
-               r-cran-tibble (>= 3.2.1),
-               r-cran-vctrs (>= 0.6.0)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-hardhat
 Architecture: all
